
function updateGuildRoster()
  local numTotalMembers = GetNumGuildMembers()

  if numTotalMembers == 0 then return end

  for x = 1, numTotalMembers do
    -- name, rank, rankIndex, level, class, zone, note, officernote, online, status, classFileName, achievementPoints, achievementRank, isMobile, isSoREligible, standingID = GetGuildRosterInfo(index);
    local name, _, _, level, class, _, publicNote = GetGuildRosterInfo(x)
    local currentName = string.match(name, "^([^\-]+)")
    local main = string.match(publicNote, "^([^!]+)!")

    local player = Altimate_roster[currentName]

    if player then
      player.level = level
      player.main = main
    else
      Altimate_roster[currentName] = {
        class = class,
        name = currentName,
        level = level,
        main = main,
        equippedItems = {},
      }
    end
  end
end
