
function getEquippedItems()
  local equippedItems = {}

  -- for _, slotName in ipairs(Altimate_SlotNames) do
  for slotId = 0, 23 do
    equippedItems['slot' .. slotId] = getEquippedItemBySlotId(slotId)
  end

  return equippedItems
end

function getEquippedItemBySlotId(slotId)
  local item = GetInventoryItemLink("player", slotId)

  if not item then return ''; end

  -- itemName, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture, itemSellPrice = GetItemInfo(itemID or "itemString" or "itemName" or "itemLink")
  local _, itemLink = GetItemInfo(item)

  return itemLink
end
