
Altimate_ClassColors = {
  __DEFAULT__ = "|cFFCCCCCC%s|r",
  Druid =       "|cFFFF7D0A%s|r",
  DeathKnight = "|cFFC41F3B%s|r",
  DemonHunter = "|cFFA330C9%s|r",
  Monk =        "|cFF00FF96%s|r",
  Hunter =      "|cFFABD473%s|r",
  Mage =        "|cFF40C7EB%s|r",
  Paladin =     "|cFFF58CBA%s|r",
  Priest =      "|cFFFFFFFF%s|r",
  Rogue =       "|cFFFFF569%s|r",
  Shaman =      "|cFF0070DE%s|r",
  Warlock =     "|cFF8787ED%s|r",
  Warrior =     "|cFFC79C6E%s|r",
}

Altimate_InventorySlots = {
  INVTYPE_AMMO = 0,
  INVTYPE_HEAD = 1,
  INVTYPE_NECK = 2,
  INVTYPE_SHOULDER = 3,
  INVTYPE_BODY = 4,
  INVTYPE_CHEST = 5,
  INVTYPE_ROBE = 5,
  INVTYPE_WAIST = 6,
  INVTYPE_LEGS = 7,
  INVTYPE_FEET = 8,
  INVTYPE_WRIST = 9,
  INVTYPE_HAND = 10,
  INVTYPE_FINGER = {11,12},
  INVTYPE_TRINKET = {13,14},
  INVTYPE_CLOAK = 15,
  INVTYPE_WEAPON = {16,17},
  INVTYPE_SHIELD = 17,
  INVTYPE_2HWEAPON = 16,
  INVTYPE_WEAPONMAINHAND = 16,
  INVTYPE_WEAPONOFFHAND = 17,
  INVTYPE_HOLDABLE = 17,
  INVTYPE_RANGED = 18,
  INVTYPE_THROWN = 18,
  INVTYPE_RANGEDRIGHT = 18,
  INVTYPE_RELIC = 18,
  INVTYPE_TABARD = 19,
  INVTYPE_BAG = {20,21,22,23},
  INVTYPE_QUIVER = {20,21,22,23},
}


--
-- 0 = ammo
-- 1 = head
-- 2 = neck
-- 3 = shoulder
-- 4 = shirt
-- 5 = chest
-- 6 = waist
-- 7 = legs
-- 8 = feet
-- 9 = wrist
-- 10 = hands
-- 11 = finger 1
-- 12 = finger 2
-- 13 = trinket 1
-- 14 = trinket 2
-- 15 = back
-- 16 = main hand
-- 17 = off hand
-- 18 = ranged
-- 19 = tabard
-- 20 = first bag (the rightmost one)
-- 21 = second bag
-- 22 = third bag
-- 23 = fourth bag (the leftmost one)
--
-- 40 to 67 = the 28 bank slots
-- 68 = first bank bag slot
-- 69 = second bank bag slot
-- 70 = third bank bag slot
-- 71 = fourth bank bag slot
-- 72 = fifth bank bag slot
-- 73 = sixth bank bag slot
-- 74 = seventh bank bag slot

Altimate_SlotNames = {
  "AmmoSlot", -- Ammot/Relic slot.
  "HeadSlot", -- Head/helmet slot.
  "NeckSlot", -- Necklace slot.
  "ShoulderSlot", -- Shoulder slot.
  "BackSlot", -- Back/Cape slot.
  "ChestSlot", -- Chest slot.
  "ShirtSlot", -- Shirt slot.
  "TabardSlot", -- Tabard slot.
  "WristSlot", -- Wrist/Bracer slot.
  "HandsSlot", -- Hand/Gloves slot.
  "WaistSlot", -- Waist/Belt slot.
  "LegsSlot", -- Legs/Pants slot.
  "FeetSlot", -- Feet/Boots slot.
  "Finger0Slot", -- First finger/ring slot.
  "Finger1Slot", -- Second finger/ring slot.
  "Trinket0Slot", -- First trinket slot.
  "Trinket1Slot", -- Second trinket slot.
  "MainHandSlot", -- Main hand slot.
  "SecondaryHandSlot", -- Secondary hand/Off-hand slot.
  "Bag0Slot", -- First bag slot.
  "Bag1Slot", -- Second bag slot.
  "Bag2Slot", -- Third bag slot.
  "Bag3Slot", -- Fourth bag slot.
}
